Name:         perl-Math-BigInt-FastCalc
Version:      0.5018
Release:      1
Summary:      Math::BigInt::Calc with some XS for more speed
License:      GPL+ or Artistic
URL:          https://metacpan.org/release/Math-BigInt-FastCalc
Source0:      https://cpan.metacpan.org/authors/id/P/PJ/PJACKLAM/Math-BigInt-FastCalc-%{version}.tar.gz

BuildRequires:perl-generators perl-interpreter perl-devel gcc
BuildRequires:perl(ExtUtils::MakeMaker) >= 6.76 perl(Test::More) >= 0.88
BuildRequires:perl(Math::BigInt) >= 2.0030.01

Requires:     perl(:MODULE_COMPAT_%(perl -V:version | cut -d"'" -f 2))
Conflicts:    perl < 4:5.22.0-348

%description
Math::BigInt::FastCalc inherits from Math::BigInt::Calc.
Provides support for big integer calculations. Not intended to be used by other modules. 
Other modules which sport the same functions can also be used to support Math::BigInt, 
like Math::BigInt::GMP or Math::BigInt::Pari.

%package help
Summary:   Documents for %{name}
Buildarch: noarch
Requires:  man info

%description help
Man page and other related documents for %{name}.

%package tests
Summary:        Tests for %{name}
Requires:       %{name} = %{?epoch:%{epoch}:}%{version}-%{release}
Requires:       perl-Test-Harness
Requires:       perl(Math::BigInt) >= 2.0030.01

%description tests
Tests from %{name}. Execute them with "%{_libexecdir}/%{name}/test".

%prep
%autosetup -n  Math-BigInt-FastCalc-%{version} -p1 

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PERLLOCAL=1 NO_PACKLIST=1 OPTIMIZE="%{optflags}"
%make_build

%install
%make_install
%{_fixperms} -c %{buildroot}

# Install tests
mkdir -p %{buildroot}%{_libexecdir}/%{name}
cp -a t %{buildroot}%{_libexecdir}/%{name}
rm %{buildroot}%{_libexecdir}/%{name}/t/00sig.t
cat > %{buildroot}%{_libexecdir}/%{name}/test << 'EOF'
#!/bin/sh
cd %{_libexecdir}/%{name} && exec prove -I . -j "$(getconf _NPROCESSORS_ONLN)"
EOF
chmod +x %{buildroot}%{_libexecdir}/%{name}/test

%check
unset AUTHOR_TESTING RELEASE_TESTING
make test

%pre

%preun

%post

%postun

%files
%defattr(-,root,root)
%license LICENSE
%doc CREDITS README
%{perl_vendorarch}/*

%files help
%defattr(-,root,root)
%doc CHANGES TODO 
%{_mandir}/*/*

%files tests
%{_libexecdir}/%{name}

%changelog
* Fri Jan 19 2024 wangjiang <wangjiang37@h-partners.com> - 0.5018-1
- upgrade version to 0.5018

* Fri Jul 28 2023 wangjiang <wangjiang37@h-partners.com> - 0.5014-1
- upgrade version to 0.5014

* Tue Nov 01 2022 wangjiang <wangjiang37@h-partners.com> - 0.5012-3
- Rebuild for next release

* Tue Apr 26 2022 renhongxun <renhongxun@h-partners.com> 0.5012-2
- only change the version from 0.501.200 to 0.5012 to keep consistent with the community

* Fri Dec  3 2021 guozhaorui <guozhaorui1@huawei.com> - 0.501.200-1
- update version to 0.5012

* Wed Jun 23 2021 wuchaochao <wuchaochao4@huawei.com> - 0.500.900-3
- add buildrequires: gcc

* Wed Aug 5 2020 shixuantong <shixuantong@huawei.com> - 0.500.900-2 
- add perl(Math::BigInt) >= 1.999817

* Wed Jul 29 2020 shixuantong <shixuantong@huawei.com> - 0.500.900-1
- update to 0.500.900-1

* Wed May 13 2020 licunlong <licunlong1@huawei.com> - 0.500.700-5
- add perl-devel buildrequire

* Wed Sep 11 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.500.700-4 
- Package init
